/**
 * generated by Xtext 2.19.0
 */
package fr.istic.mML.impl;

import fr.istic.mML.MMLPackage;
import fr.istic.mML.Predictions;

import org.eclipse.emf.ecore.EClass;

import org.eclipse.emf.ecore.impl.MinimalEObjectImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Predictions</b></em>'.
 * <!-- end-user-doc -->
 *
 * @generated
 */
public class PredictionsImpl extends MinimalEObjectImpl.Container implements Predictions
{
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected PredictionsImpl()
  {
    super();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  protected EClass eStaticClass()
  {
    return MMLPackage.Literals.PREDICTIONS;
  }

} //PredictionsImpl
